/*
SKIP Source Code License Statement:
------------------------------------------------------------------
  Copyright
  Sun Microsystems, Inc.


  Copyright (C) 1994, 1995 Sun Microsystems, Inc.  All Rights
  Reserved.

  Permission is hereby granted, free of charge, to any person
  obtaining a copy of this software and associated documentation
  files (the "Software"), to deal in the Software without
  restriction, including without limitation the rights to use,
  copy, modify, merge, publish, distribute, sublicense, and/or sell
  copies of the Software or derivatives of the Software, and to 
  permit persons to whom the Software or its derivatives is furnished 
  to do so, subject to the following conditions:

  The above copyright notice and this permission notice shall be
  included in all copies or substantial portions of the Software.

  The Software must not be transferred to persons who are not US
  citizens or permanent residents of the US or exported outside
  the US (except Canada) in any form (including by electronic
  transmission) without prior written approval from the US
  Government. Non-compliance with these restrictions constitutes
  a violation of the U.S. Export Control Laws.

  THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
  EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES
  OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
  NONINFRINGEMENT.  IN NO EVENT SHALL SUN MICROSYSTEMS, INC., BE LIABLE
  FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION
  OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
  CONNECTION WITH THE SOFTWARE OR DERIVATES OF THIS SOFTWARE OR 
  THE USE OR OTHER DEALINGS IN THE SOFTWARE.

  Except as contained in this notice, the name of Sun Microsystems, Inc.
  shall not be used in advertising or otherwise to promote
  the sale, use or other dealings in this Software or its derivatives 
  without prior written authorization from Sun Microsystems, Inc.
*/

#pragma ident "@(#)skip_conf.h	1.10 96/01/31 Sun Microsystems"

#ifdef  __cplusplus
extern "C" {
#endif

#ifdef SYSV
#define SKIP_DIR		"/etc/opt/SUNWicg/skip"
#define SKIP_BIN		"/opt/SUNWicg/bin"
#else
#define SKIP_DIR		"/etc/skip"
#define SKIP_BIN		"/usr/skip/bin"
#endif
#define KEYMGR			"/dev/skip_key"

#define	SKIP_MY_DH_SECRET_FILE		SKIP_DIR"/my_dh_secret"
#define	SKIP_MY_REAL_SECRET_FILE	SKIP_DIR"/my_secret_i"
#define SKIP_MY_DH_CERT_FILE		SKIP_DIR"/my_dh_cert"
#define	SKIP_DH_PARAMS			SKIP_DIR"/dh_params"
#define CA_SELFCERT_FILE		SKIP_DIR"/CA_Cert"
#define SKIP_CONF			SKIP_DIR"/skip_keymgrd.conf"
#define SKIP_CERTSBASE			SKIP_DIR"/certs"
#define SKIP_MY_X509_CERT_FILE		SKIP_DIR"/my_X509_cert"
#define SKIP_MY_HASHED_CERT_FILE	SKIP_DIR"/my_nsid8_cert"
#define SKIP_SECRET_CACHE		SKIP_DIR"/secret_cache"

#define MAX_NSIDS 11
/* 
 * Key manager algorithms supported
 */ 
#define HAVE_DES_CBC
#ifdef BSAFE
#define HAVE_RC2_CBC
#define HAVE_RC4
#endif
#define HAVE_DES_EDE_K2
#define HAVE_DES_EDE_K3
#define HAVE_SIMPLECRYPT

#ifdef  __cplusplus
}
#endif
